Name:           waveformgen
Version:        0.11
Release:        1%{?dist}
Summary:        A waveform image generator

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://github.com/cappelnord/waveformgen
                # http://github.com/cappelnord/waveformgen/tarball/v0.11
Source0:        http://download.github.com/cappelnord-waveformgen-v0.11-0-g30fbb12.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gd-devel, libsndfile-devel, libpng-devel

%description
This is a simple tool to generate a waveform image in png format from an 
audio file. It displays peak amplitude as well as RMS amplitude, just as 
Audacity does. It is only meant to draw an overview. Using it on a too small 
audio file will produce a quite bad result. Either use it as a command line 
tool or use wfg_generateImage() in a program.

It is not special, it is not fast, it is not fancy but it does the job.


%prep
%setup -q -n cappelnord-waveformgen-5ed6d50


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 waveformgen $RPM_BUILD_ROOT%{_bindir}/waveformgen


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING CHANGELOG BUILDING
%{_bindir}/waveformgen



%changelog
* Wed Jul 17 2010 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.11-1
- Initial Package
